- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# OgreOptimisedUtil.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreEdgeListBuilder.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Classes
class | Ogre::OptimisedUtil
| Utility class for provides optimised functions. More...
## Functions
template<class T>
static FORCEINLINE T * | Ogre::rawOffsetPointer (T *ptr, ptrdiff_t offset)
| Returns raw offseted of the given pointer.
template<class T>
static FORCEINLINE void | Ogre::advanceRawPointer (T *&ptr, ptrdiff_t offset)
| Advance the pointer with raw offset.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:48:58 2008